<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>width: auto и width: 100%</title>
</head>
<style>
	body { background-color: rgba(0,0,0,0.2); }
	div { border: 1px solid #000; }
	div > span { display: block;  width: 100%; background-color: darkgray; }
	div:not(:last-child) { margin-bottom: 36px;}

	.example_2,
	.example_1 {
		width: 250px;
	}

	.example_1 input {
		width: 100%;
		box-sizing: content-box;
		padding: 10px;
	}

	.example_2 input {
		width: 100%;
		box-sizing: border-box;
		padding: 10px;
	}
</style>
<body>
	<h1>
		width: auto и width: 100%
	</h1>
	<div class="example_1">
		<label for="login_email">Почта</label>
		<input type="text" id="login_email">
	</div>
	<div class="example_2">
		<label for="pass_email">Пароль</label>
		<input type="text" id="pass_email">
	</div>
</body>
</html>